package com.example.hellodocker.utils;

import javax.servlet.http.HttpServletRequest;

/** 获取HTTP请求的客户端IP地址
 * @author dz
 * @version 1.0
 * @date 2020-09-28 18:41
 */
public class GetIPUtils {

    /** 获取当前请求的客户端的真实IP
     * @param request 当前请求
     * @return 当前请求的客户端的IP
     */
    public static String getIpAddress(HttpServletRequest request) {
        String ip = request.getHeader("x-forwarded-for");
        if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
            ip = request.getHeader("Proxy-Client-IP");
        }
        if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
            ip = request.getHeader("WL-Proxy-Client-IP");
        }
        if (ip == null || ip.length() == 0 || "unknown".equalsIgnoreCase(ip)) {
            ip = request.getRemoteAddr();
        }
        if (ip.contains(",")) {
            return ip.split(",")[0];
        } else {
            return ip;
        }
    }
}
